Subject: Re: [Gen-art] Genart last call review of draft-kucherawy-dispatch-zstd-01

From: Alissa Cooper <[email-masked]>
Date: Wed, 23 May 2018 13:46:27 -0400

Vijay, thanks for your review. Yann, thanks for your responses. I have entered a No Objection ballot.

Alissa

> On Apr 25, 2018, at 1:44 PM, Yann Collet <[email-masked]> wrote:
> 
> Thanks Vijay
>  
>  
> These are good suggestions.
> I’ll use them to improve the spec.
>  
>  
> Regards,
>  
> Yann
>  
> From: Vijay Gurbani <[email-masked]>
> Date: Saturday, April 21, 2018 at 17:56
> To: Yann Collet <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Subject: Re: Genart last call review of draft-kucherawy-dispatch-zstd-01
>  
> Yann: Thank you for your response. <>
> Please see inline.
> 
>  
> On Fri, Apr 20, 2018 at 6:22 PM, Yann Collet <[email-masked] <mailto:[email-masked]>> wrote:
> Hi
> 
> 
> I can answer the following 2 minor points: 
> 
>      - S2.1.1.3.1.1: "Value ?0" --> should it be "Value 00"?
> 
> `?0` means it can be either `10` or `00`.
> Aka, only the last bit `0` matters.
>  
> When I read that section, it did not strike me that you were using regular expressions (as far as I can remember, there was no use of regexps in the section, but I don't have the draft open in front of me).  Thus, it looked like a typo to me.  My advice, especially if there is no general use of regular expressions in the draft, would be to spell it out by saying "00 or 01".  But the end decision is up to you, of course.
>  
>     - S2.1.1: The value of the magic number: 0xFD2FB528 --- is there any significance to it?  
> 
> This value was selected to be less probable to find at the beginning of some random file.
> It avoids trivial patterns (0x00, 0xFF, repeated bytes, increasing bytes, etc.),
> contains byte values outside of ASCII range,
> and doesn't map into UTF8 space.
> It reduces chances that a text file be able to represent this value by accident.
>  
> OK; that's what I thought.  Up to you if you want to add an explanatory sentence.  Won't hurt.
> 
> That's all.  Thanks!
>  
> For all other points, I have no comment, and agree with reviewer.
> 
> 
> Rgds
> 
> Yann Collet
> Facebook
> 
> On 4/19/18, 07:55, "Vijay Gurbani" <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Reviewer: Vijay Gurbani
>     Review result: Ready with Nits
> 
>     I am the assigned Gen-ART reviewer for this draft. The General Area
>     Review Team (Gen-ART) reviews all IETF documents being processed
>     by the IESG for the IETF Chair.  Please treat these comments just
>     like any other last call comments.
> 
>     For more information, please see the FAQ at
> 
>     <https://urldefense.proofpoint.com/v2/url?u=https-3A__trac.ietf.org_trac_gen_wiki_GenArtfaq&d=DwICaQ&c=5VD0RTtNlTh3ycd41b3MUw&r=_EwH5jTAHV32G13ENXwVrw&m=aMabi5qTp6wXqc6KXVjyGEgbdV5SaoN7tcHeDarFUI8&s=G_jKtEolxxcUUP2uN78WXkDdXi9KsGgZPh0RD34zvIw&e= <https://urldefense.proofpoint.com/v2/url?u=https-3A__trac.ietf.org_trac_gen_wiki_GenArtfaq&d=DwICaQ&c=5VD0RTtNlTh3ycd41b3MUw&r=_EwH5jTAHV32G13ENXwVrw&m=aMabi5qTp6wXqc6KXVjyGEgbdV5SaoN7tcHeDarFUI8&s=G_jKtEolxxcUUP2uN78WXkDdXi9KsGgZPh0RD34zvIw&e=>>.
> 
>     Document: draft-kucherawy-dispatch-zstd-01
>     Reviewer: Vijay K. Gurbani
>     Review Date: 2018-04-19
>     IETF LC End Date: 2018-04-23
>     IESG Telechat date: Not scheduled for a telechat
> 
>     Summary: Ready with 1 minor issue and some nits.
> 
>     Major issues: 0
> 
>     Minor issues: 2
> 
>     Nits/editorial comments:  3
> 
>     Minor:
>     - S4: "... and the usual precautions apply."  Here, what are the "usual
>      precautions"?  Are they the ones enumerated below?  If so, then
>      perhaps restate as "... and the usual precautions apply, as enumerated
>      below.".
> 
>      If the usual precautions are not enumerated below, then a reference should
>      be provided to a resource(s) that enumerates such precautions.
> 
>     - S5: I am curious, why should we remove this section prior to publication?
>      It contains pointers to code that is invaluable to implementors.  At the
>      most, I would advise excising company name (Facebook) from the section,
>      but I would advocate strongly to retain this section as the draft becomes
>      a RFC.
> 
>     Nits/Typos:
>     - S2.1.1: The value of the magic number: 0xFD2FB528 --- is there any
>      significance to it?  Any insight on how you arrived at this will be
>      interesting.  (I am relating this magic number to the SIP magic cookie
>      "z9hG4bK" which was chosen so that the probability was very small of
>      older implementations to randomly pick a branch ID that started with
>      these characters.)
> 
>     - S2.1.1: s/the origina/the original/
> 
>     - S2.1.1.3.1.1: "Value ?0" --> should it be "Value 00"?
> 
> 
> 
> 
> 
>  
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art